Gamebase SDK for Unity 2.75.1 Toast Gamebase Platform

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Gamebase.Logger Class Reference

Send a log to Log & Crash Server. More...

Collaboration diagram for Gamebase.Logger:

## Static Public Member Functions
static void | Initialize (GamebaseRequest.Logger.Configuration configuration)
| This function initializes the TOAST Logger SDK.
static void | Debug (string message, Dictionary< string, string > userFields=null)
| Send a log to Log & Crash Server for analyzing the string message with debug level.
static void | Info (string message, Dictionary< string, string > userFields=null)
| Send a log to Log & Crash Server for analyzing the string message with info level.
static void | Warn (string message, Dictionary< string, string > userFields=null)
| Send a log to Log & Crash Server for analyzing the string message with warn level.
static void | Error (string message, Dictionary< string, string > userFields=null)
| Send a log to Log & Crash Server for analyzing the string message with error level.
static void | Fatal (string message, Dictionary< string, string > userFields=null)
| Send a log to Log & Crash Server for analyzing the string message with fatal level.
static void | Report (GamebaseLoggerConst.LogLevel logLevel, string message, string logString, string stackTrace)
| Exceptions from a try/catch sentence, as well as general/crash logs, can be sent by using Report API.
static void | SetUserField (string key, string value)
| Used to predefine additional information.
static void | SetLoggerListener (GamebaseCallback.Logger.ILoggerListener listener)
| You can be notified of the result of the log transfer through this listener.
static void | AddCrashFilter (GamebaseCallback.Logger.CrashFilter filter)
| This function adds a CrashFilter.
static void | RemoveCrashFilter (GamebaseCallback.Logger.CrashFilter filter)
| This function removes the CrashFilter.

## Detailed Description

Send a log to Log & Crash Server.

The log levels are as follows: debug < info < warn < error < fatal. Log & Crash Search allows fast and patterned search of any logs you want among a large volume.

Since
  Added 2.6.0.